Skip to main content
PUT
https://prod-api.raisedonors.com
/
api
/
Donor
/
{id}
/
phone
/
{phoneId}
Update a Donor Phone Number
curl --request PUT \
  --url https://prod-api.raisedonors.com/api/Donor/{id}/phone/{phoneId} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "isPrimary": true,
  "value": "<string>",
  "isOptedIn": true,
  "countryCode": "<string>"
}
'
{
  "id": 123,
  "donorId": 123,
  "typeDisplay": "<string>",
  "value": "<string>",
  "secondaryValue": "<string>",
  "isPrimary": true,
  "isOptedIn": true,
  "isValid": true,
  "isEmail": true,
  "isPhone": true,
  "isBounced": true,
  "countryCode": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path Parameters

id
integer<int64>
required

The ID of the donor.

phoneId
integer<int64>
required

The ID of the phone number.

Body

The phone number request

Represents a contactmethod request.

type
enum<integer>
required
Available options:
0,
10,
11,
12,
20,
21,
22,
99
isPrimary
boolean
required
value
string | null
Maximum string length: 200
isOptedIn
boolean

Gets or sets a value indicating whether opted in.

countryCode
string | null

Gets or sets the country code.

Response

OK

Represents a donorcontactmethod model.

id
integer<int64>

Gets or sets the identifier.

donorId
integer<int64>

Gets or sets the donor identifier.

type
enum<integer>

Gets or sets the type.

Available options:
0,
10,
11,
12,
20,
21,
22,
99
typeDisplay
string | null

Gets or sets the type display.

value
string | null

Gets or sets the value.

secondaryValue
string | null

Gets or sets the secondary value.

isPrimary
boolean

Gets or sets a value indicating whether primary.

isOptedIn
boolean

Gets or sets a value indicating whether opted in.

isValid
boolean

Gets or sets the isval identifier.

isEmail
boolean

Gets or sets the is email address.

isPhone
boolean

Gets or sets a value indicating whether phone.

isBounced
boolean

Gets or sets a value indicating whether bounced.

countryCode
string | null

Gets or sets the country code.

Last modified on June 5, 2026